Public Member Functions | Public Attributes | List of all members
RagTime5SpreadsheetInternal::ValuesParser Struct Reference

Internal: the helper to read a cell values. More...

Inheritance diagram for RagTime5SpreadsheetInternal::ValuesParser:

## Public Member Functions
| ValuesParser (Sheet &sheet)
| constructor More...
virtual | ~ValuesParser ()
| destructor More...
bool | parseData (MWAWInputStreamPtr &input, long endPos, RagTime5Zone &, int n, libmwaw::DebugStream &debStream)
| try to parse a data More...
Public Member Functions inherited from RagTime5StructManager::DataParser
| DataParser (std::string const &zoneName)
| constructor More...
virtual | ~DataParser ()
| destructor More...
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone More...
virtual std::string | getZoneName (int n) const
| return the debug name corresponding to a field More...

## Public Attributes
Sheet & | m_sheet
| the actual sheet More...

## Additional Inherited Members
Protected Attributes inherited from RagTime5StructManager::DataParser
std::string | m_name
| the field name More...

## Detailed Description

Internal: the helper to read a cell values.

## Constructor & Destructor Documentation

## ◆ ValuesParser()

RagTime5SpreadsheetInternal::ValuesParser::ValuesParser | ( | Sheet & | sheet | ) |
| inline explicit

constructor

## ◆ ~ValuesParser()

RagTime5SpreadsheetInternal::ValuesParser::~ValuesParser | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## ◆ parseData()

bool RagTime5SpreadsheetInternal::ValuesParser::parseData | ( | MWAWInputStreamPtr & | input,
|  | long | endPos,
|  | RagTime5Zone & | ,
|  | int | n,
|  | libmwaw::DebugStream & | debStream
| ) |  |
| inline virtual

try to parse a data

Reimplemented from RagTime5StructManager::DataParser.

## Member Data Documentation

## ◆ m_sheet

Sheet& RagTime5SpreadsheetInternal::ValuesParser::m_sheet

the actual sheet

The documentation for this struct was generated from the following file:

- RagTime5Spreadsheet.cxx